PluXml.org

Blog ou CMS à l'Xml

Vous êtes ici : accueil » article » Sortie de PluXml 5.0

14juil2010 11

Sortie de PluXml 5.0

Classé dans : Actualité

PluXml prend un grand tournant avec la sortie de cette nouvelle version tant les nouveautés sont nombreuses.

Parmi les principales évolutions vous trouverez:

- La gestion multi utilisateurs
- La gestion des tags
- La gestion des archives
- L'affectation d'un article à plusieurs catégories
- L'url rewriting (suppression du ? dans les urls)
- Un système de template pour un affichage différent selon les articles, les catégories et les pages statiques
- Des performances améliorées

La liste détaillée très fournie est disponible dans le changelog suivant.

La documentation a été mise à jour, de même que les scripts disponibles sur le wiki.
Si votre Pluxml actuel utilise un ou plusieurs scripts du wiki vous serez certainement amenés à les mettre à jour pour éviter des erreurs.

Avec Pluxml 5.0, il est désomais possible d'intégrer un autre éditeur de texte que la plxtoolbar SANS modifier les sources de PluXml.
Vous trouverez sur le wiki une mise à jour de l'éditeur wysiwyg CKEditor 3.31 + son gestionnaire de fichier.
Un autre éditeur plus léger appelé "Whyzziwyg" est également disponible. A tester !
Pour les personnes qui préferent utiliser la plxtoolbar pour sa légereté et avoir la main sur le code html, vous pourrez créer et ajouter vos propres boutons sous forme de addons. A titre d'exemple, un bouton pour ajouter facilement et rapidement les vidéos de Youtube sur votre site est disponible sur le wiki. De plus un tutorial sur le blog vous expliquera comment créer vos propres boutons.

A noter également l'arrivée de Frédéric Kaplon qui vient en renfort dans l'équipe après le départ de Marama en mai dernier.

Tout l'équipe de PluXml vous souhaite une bonne version 5.0

11 commentaires

#1 mercredi 14 juillet 2010 @ 09:19 Rathorian a dit :

Coucou,

J'ai pas encore eu le temps de télécharger la nouvelle version mais j'ai pu lire les nouveautés sur le "changelog", un grand bravo à l'équipe pour le travail qui a été effectué !

#2 mercredi 14 juillet 2010 @ 10:57 marama a dit :

Félicitation pour cette version et reprise de flambeau !

#3 mercredi 14 juillet 2010 @ 14:11 Gcyrillus a dit :

que voila un petit bijou , ce PluXml !

#4 jeudi 15 juillet 2010 @ 10:46 dhoko a dit :

Une v5 ^^ Les nouveautés sont assez alléchantes, je pars tester ça. De ce que j'ai lu du changelog ça m'a l'air vraiment cool, étant donné que je suis en train de monter quelques sites avec PluXml le coup des statiques en HP ça m'arrange et évite les bidouilles.
La HP du site est vraiment pas mal aussi, beau boulot

#5 jeudi 15 juillet 2010 @ 16:54 antistress a dit :

Pinaiz les changements sont colossaux, bravo !

Compression GZIP : c'est rentable dans tous les cas où il y a des cas où ça n'est pas souhaitable ?

Tags : en l'absence de base de données, ça impacte pas les performances ;

#6 mercredi 28 juillet 2010 @ 05:37 Manu a dit :

Je viens de créer un blog avec pluxml et ça semble fonctionner parfaitement.
L'installation et l'administration sont d'une simplicité qu'on pourrait qualifier d'enfantine ; vraiment remarquable.
J'ai gardé le thème par défaut et j'édite les articles en html.
J'utilise un hébergeur gratuit avec php5 ; à noter que ça ne fonctionne pas avec tous les hébergeurs gratuits avec php5, certains y mettant des limitations ( j'en ai essayé plusieurs ).
Félicitations et merci,
Manu

#7 mardi 24 août 2010 @ 12:27 BiTwink a dit :

Bonjour,

Ou est-ce qu'on peut trouver l'éditeur Whyzziwyg ? Histoire de tester ça...

#8 mardi 24 août 2010 @ 17:42 Stéphane a dit :

@BiTwink :

Sur le wiki

#9 mercredi 25 août 2010 @ 15:23 skaopolo a dit :

Bonjour,
Ben voilà, super cette dernière version multi-utilisateurs, c'est ce que j'attendais.
Maintenant il faut migrer les données de l'ancienne version à la nouvelle.
Merci à toute l'équipe de PluXml

#10 jeudi 08 septembre 2011 @ 16:33 Cyril a dit :

Bonjour,

Question sur la compatibilité de Whizzywig et la version 5.0 de PluXml :

Sur le wiki il est dit de déziper l'archive à la racine puis de choisir l'éditeur de texte ds l'interface sous admin/config de base. (http://wiki.pluxml.org/index.php?page=Whizzywig)

Cependant en Version 5.1.2 il n'y a pas de champ pour choisir son éditeur de texte, comment procéder pour l'intégrer ?

Merci d'avance

#11 jeudi 08 septembre 2011 @ 18:50 Stéphane a dit :

@Cyril :

Whizzywig n'est pas compatible 5.12

Les commentaires sont fermés.